Subject: bug#33275: 27.0.50; Image cache pruning

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 05 Nov 2018 17:35:51 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Lars Ingebrigtsen <[email-masked]>
>> Cc: [email-masked]
>> Date: Mon, 05 Nov 2018 17:18:47 +0100
>> 
>> If you visit a, say, 16GB file, then, indeed, it's expected that Emacs
>> grows to 16GB (or more).  But if you're just calling `image-size' on a
>> bunch of files (each of which is a lot smaller than that), it's rather
>> unexpected that that's going to blow up Emacs.
>
> What was the sum of sizes of all the files you used to reproduce the
> problem?

I think it's sufficient to run Emacs over 2GB worth of .png files to
make Emacs grow to 16GB (which will kill it on this laptop).

But it'll vary on how well-compressed the .png files are, I guess,
because I think Emacs caches the, er, pixmaps and not the files?  I
don't remember.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no